# dmxextension.h File Reference

Go to the source code of this file.

## Data Structures

struct | DMXDesktopAttributesRec
struct | DMXInputAttributesRec
struct | DMXScreenAttributesRec
struct | DMXWindowAttributesRec

## Functions

unsigned long | dmxGetNumScreens (void)
void | dmxForceWindowCreation (WindowPtr pWindow)
void | dmxFlushPendingSyncs (void)
Bool | dmxGetScreenAttributes (int physical, DMXScreenAttributesPtr attr)
Bool | dmxGetWindowAttributes (WindowPtr pWindow, DMXWindowAttributesPtr attr)
int | dmxGetInputCount (void)
int | dmxGetInputAttributes (int deviceId, DMXInputAttributesPtr attr)
int | dmxAddInput (DMXInputAttributesPtr attr, int *deviceId)
int | dmxRemoveInput (int deviceId)
int | dmxAttachScreen (int idx, DMXScreenAttributesPtr attr)
int | dmxDetachScreen (int idx)

## Detailed Description

Interface for DMX extension support. These routines are called by function in Xserver/Xext/dmx.c.

See also:
  dmxextension.c

## Function Documentation

int dmxAddInput | ( | DMXInputAttributesPtr | attr,
|  | int * | id
| ) |

| Add an input with the specified attributes. If the input is added, the physical id is returned in deviceId.

int dmxAttachScreen | ( | int | idx,
|  | DMXScreenAttributesPtr | attr
| ) |

| Reattach previously detached back-end screen.

int dmxDetachScreen | ( | int | idx | ) |

| Detach back-end screen.

void dmxFlushPendingSyncs | ( | void |  | ) |

| Flush pending syncs for all screens.

void dmxForceWindowCreation | ( | WindowPtr | pWindow | ) |

| Make sure that dmxCreateAndRealizeWindow has been called for pWindow.

int dmxGetInputAttributes | ( | int | deviceId,
|  | DMXInputAttributesPtr | attr
| ) |

| Return information about the device with id = deviceId. This information is primarily for the ProcDMXGetInputAttributes() function, which does not have access to the appropriate data structure.

int dmxGetInputCount | ( | void |  | ) |

| Return the total number of devices, not just dmxNumInputs. The number returned should be the same as that returned by XListInputDevices.

unsigned long dmxGetNumScreens | ( | void |  | ) |

| Return the value of dmxNumScreens -- the total number of backend screens in use (these are logical screens and may be larger than the number of backend displays).

Bool dmxGetScreenAttributes | ( | int | physical,
|  | DMXScreenAttributesPtr | attr
| ) |

| This routine provides information to the DMX protocol extension about a particular screen.

Bool dmxGetWindowAttributes | ( | WindowPtr | pWindow,
|  | DMXWindowAttributesPtr | attr
| ) |

| This routine provides information to the DMX protocol extension about a particular window.

int dmxRemoveInput | ( | int | id | ) |

| Remove the input with physical id id.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>